Subject: [Tools-discuss] Using Martin's tools and GH workflows (was Request to retain kramdown compiler and author stats)

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 30 Apr 2021 17:42:45 +0000

> On Thu, Mar 11, 2021, at 02:07, STARK, BARBARA H wrote:
> > I found the instructions for how to set this up to be something I
> > couldn't figure out. They seem to assume a level of knowledge I don't
> > currently possess.
> 
> Happy to walk anyone through what it might take to get started here.  I would
> take that as an opportunity to improve the documentation, which I will concede
> does assume a degree of familiarity with some of the tools.

It's been a while since this discussion, but I thought I'd provide an update. I was starting a new ID so I decided to try all this afresh.
My experience was delightful (really). Everything worked perfectly. I'm very happy.
The one thing I would suggest is it might be useful to recommend people update all their installed "necessary software" whenever creating a new repo. And provide the syntax to do this.
E.g.,
sudo apt-get update; sudo apt-get upgrade
sudo pip3 install --upgrade xml2rfc
sudo gem update kramdown-rfc2629

I did think to do this, but had to look up the syntax for pip and gem updates. Which means some people probably wouldn't think to do this.
Thx,
Barbara